<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>Print Missing Number</title>
	<script type="text/javascript">
		function getSolution(aNumber){

			/*Length of the array*/
			const length = aNumber.length;
			/*console.log(length);*/

			/*Sorting the numbers*/
			aNumber.sort(function(a,b){return a-b});	
			/*console.log(aNumber);*/

			/*Finding the duplicate values*/

			let duplicates = []
			for(let i=0; i<length; i++){
				if(aNumber[i+1] === aNumber[i]){
					duplicates.push(aNumber[i])
				}
			}

			/*Printing the answer*/
			duplicates.push(length);
			console.log(duplicates);
		}

		getSolution([1,2,3,4,3]);
		getSolution([1,2,2]);
	</script>
<!-- Input: [1,2,3,4,3]
Output: [3,5]
Input: [1,2,2]
Output: [2,3]
  
  @param {*} aNumber  1 to N int number

function getSolution(aNumber) {

}

getSolution([1, 2, 3, 4, 3]);
getSolution([1, 2, 2]);
 -->

</head>
<body>

</body>
</html>